Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Hash_Map_Manager Class Template Reference

Wrapper for backward compatibility. More...

`#include <Hash_Map_Manager_T.h>`

Inheritance diagram for ACE_Hash_Map_Manager

[legend]
Collaboration diagram for ACE_Hash_Map_Manager:

[legend]
List of all members.

## Public Methods
| ACE_Hash_Map_Manager (ACE_Allocator *alloc = 0)
| Initialize a <Hash_Map_Manager> with default size.
| ACE_Hash_Map_Manager (size_t size, ACE_Allocator *alloc = 0)
| Initialize a <Hash_Map_Manager> with size <length>.
int | equal (const EXT_ID &id1, const EXT_ID &id2)
| Returns 1 if <id1> == <id2>, else 0. This is defined as a separate method to facilitate template specialization.
u_long | hash (const EXT_ID &ext_id)
| Compute the hash value of the <ext_id>. This is defined as a separate method to facilitate template specialization.

## Detailed Description

### template<class EXT_ID, class INT_ID, class ACE_LOCK> template class ACE_Hash_Map_Manager

Wrapper for backward compatibility.

This implementation of a map uses a hash table. This class expects that the <EXT_ID> contains a method called <hash>. In addition, the <EXT_ID> must support <operator==>. Both of these constraints can be alleviated via template specialization, as shown in the $ACE_ROOT/tests/Conn_Test.cpp test.

## Constructor & Destructor Documentation

template<classEXT_ID, classINT_ID, classACE_LOCK>
ACE_Hash_Map_Manager< EXT_ID,INT_ID,ACE_LOCK >::ACE_Hash_Map_Manager<EXT_ID, INT_ID, ACE_LOCK> ( | ACE_Allocator * alloc = 0 )

| Initialize a <Hash_Map_Manager> with default size.

template<classEXT_ID, classINT_ID, classACE_LOCK>
ACE_Hash_Map_Manager< EXT_ID,INT_ID,ACE_LOCK >::ACE_Hash_Map_Manager<EXT_ID, INT_ID, ACE_LOCK> ( | size_t size,
| ACE_Allocator * alloc = 0 )

| Initialize a <Hash_Map_Manager> with size <length>.

## Member Function Documentation

template<classEXT_ID, classINT_ID, classACE_LOCK>
int ACE_Hash_Map_Manager< EXT_ID,INT_ID,ACE_LOCK >::equal ( | const EXT_ID & id1,
| const EXT_ID & id2 )

| Returns 1 if <id1> == <id2>, else 0. This is defined as a separate method to facilitate template specialization. Reimplemented from ACE_Hash_Map_Manager_Ex.

template<classEXT_ID, classINT_ID, classACE_LOCK>
u_long ACE_Hash_Map_Manager< EXT_ID,INT_ID,ACE_LOCK >::hash ( | const EXT_ID & ext_id )

| Compute the hash value of the <ext_id>. This is defined as a separate method to facilitate template specialization. Reimplemented from ACE_Hash_Map_Manager_Ex.

The documentation for this class was generated from the following files:

- Hash_Map_Manager_T.h
- Hash_Map_Manager_T.i